<table class="form-table">
    <tbody>
        <tr class="subEventHide">
            <th scope="row" colspan="2">
                <h3><?php echo rsvp_pro_get_admin_string('settings_general_tab_text'); ?></h3>
            </th>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_FIRST_NAME_LABEL; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_first_name_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_FIRST_NAME_LABEL; ?>" id="<?php echo RSVP_PRO_OPTION_FIRST_NAME_LABEL; ?>" value="<?php echo esc_attr_e($firstNameLabel); ?>" size="65" />
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_LAST_NAME_LABEL; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_last_name_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_LAST_NAME_LABEL; ?>" id="<?php echo RSVP_PRO_OPTION_LAST_NAME_LABEL; ?>" value="<?php echo esc_attr_e($lastNameLabel); ?>" size="65" />
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_YES_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_yes_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_YES_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_YES_TEXT; ?>" value="<?php echo esc_attr_e($yesText); ?>" />
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_NO_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_no_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_NO_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_NO_TEXT; ?>" value="<?php echo esc_attr_e($noText); ?>" />
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_MAYBE_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_mabye_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_MAYBE_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_MAYBE_TEXT; ?>" value="<?php echo esc_attr_e($maybe_text); ?>" />
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_YES_PLUS_ONE_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_plus_one_generic_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_YES_PLUS_ONE_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_YES_PLUS_ONE_TEXT; ?>" value="<?php echo esc_attr_e($plus_one_text); ?>" />
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_HI_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_hi_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_HI_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_HI_TEXT; ?>" value="<?php esc_attr_e($hi_text); ?>" />
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_NO_RESPONSE_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_no_response_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_NO_RESPONSE_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_NO_RESPONSE_TEXT; ?>" value="<?php echo esc_attr_e($noResponseText); ?>" />
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row" colspan="2">
                <h3><?php echo rsvp_pro_get_admin_string('greetings_page_label'); ?></h3>
            </th>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_OPEN_DATE_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_open_message_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_OPEN_DATE_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_OPEN_DATE_TEXT; ?>" rows="5" cols="60"><?php 
                    echo esc_html($openDateText);
                 ?></textarea>
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_open_message_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_CLOSE_DATE_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_closed_message_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_CLOSE_DATE_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_CLOSE_DATE_TEXT; ?>" rows="5" cols="60"><?php 
                    echo esc_html($closeDateText);
                 ?></textarea>
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_closed_message_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="greeting_text">
                    <?php echo rsvp_pro_get_admin_string('settings_custom_greeting_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="greeting_text" id="greeting_text" rows="5" cols="60"><?php 
                    echo htmlspecialchars($greetingText);
                 ?></textarea>
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_custom_greeting_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_MODIFY_REGISTRATION_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_modify_attendee_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_MODIFY_REGISTRATION_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_MODIFY_REGISTRATION_TEXT; ?>" value="<?php echo esc_attr_e($modifyRegistrationText); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_modify_attendee_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_PASSCODE_LABEL; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_passcode_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_PASSCODE_LABEL; ?>" id="<?php echo RSVP_PRO_OPTION_PASSCODE_LABEL; ?>" value="<?php echo esc_attr_e($passcodeLabel); ?>" size="65" />
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_NEW_ATTENDEE_BUTTON_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_new_attendee_button_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_NEW_ATTENDEE_BUTTON_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_NEW_ATTENDEE_BUTTON_TEXT; ?>" value="<?php echo esc_attr_e($newAttendeeButtonText); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_new_attendee_button_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_DISPLAY_SEARCH_FORM_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_find_attendees_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_DISPLAY_SEARCH_FORM_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_DISPLAY_SEARCH_FORM_TEXT; ?>" value="<?php echo esc_attr_e($display_search_button_text); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_find_attendees_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_COMPLETE_BUTTON_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_find_me_button_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_COMPLETE_BUTTON_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_COMPLETE_BUTTON_TEXT; ?>" value="<?php echo esc_attr_e($completeButtonText); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_find_me_button_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_UNABLE_TO_FIND_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_unable_find_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_UNABLE_TO_FIND_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_UNABLE_TO_FIND_TEXT; ?>" value="<?php echo esc_attr_e($unableFindText); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_unable_find_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row" colspan="2">
                <h3><?php echo rsvp_pro_get_admin_string('edit_confirmation_page_label'); ?></h3>
            </th>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_EDIT_PROMPT_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_edit_prompt_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_EDIT_PROMPT_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_EDIT_PROMPT_TEXT; ?>" value="<?php echo esc_attr_e($editPromptText); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_edit_prompt_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row" colspan="2">
                <h3><?php echo rsvp_pro_get_admin_string('settings_rsvp_once_message_header'); ?></h3>
            </th>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_RSVP_ONLY_ONCE_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_user_already_rsvpd_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_RSVP_ONLY_ONCE_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_RSVP_ONLY_ONCE_TEXT; ?>" value="<?php echo esc_attr_e($rsvp_only_once_text); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_user_already_rsvpd_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row" colspan="2">
                <h3><?php echo rsvp_pro_get_admin_string('settings_not_found_screen_header'); ?></h3>
            </th>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_FUZZY_MATCH_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_fuzzy_match_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_FUZZY_MATCH_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_FUZZY_MATCH_TEXT; ?>" value="<?php echo esc_attr_e($fuzzyMatchText); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_fuzzy_match_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_MULTIPLE_MATCHES_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_multiple_match_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_MULTIPLE_MATCHES_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_MULTIPLE_MATCHES_TEXT; ?>" value="<?php echo esc_attr_e($multipleMatchesText); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_multiple_match_text_description'); ?></span>
            </td>
        </tr>
        <?php rsvp_pro_admin_message_variables( $eventID, "subEventHide", "Available variables for attendee matches text" ); ?>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_MULTIPLE_ATTENDEE_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_multiple_attendee_match_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_MULTIPLE_ATTENDEE_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_MULTIPLE_ATTENDEE_TEXT; ?>" value="<?php echo esc_attr_e($multiple_attendee_text); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_multiple_attendee_match_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_PROMPT_TO_ADD_IF_NOT_FOUND_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_open_add_user_prompt_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_PROMPT_TO_ADD_IF_NOT_FOUND_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_PROMPT_TO_ADD_IF_NOT_FOUND_TEXT; ?>" value="<?php echo esc_attr_e($rsvp_open_prompt_to_add_text); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_open_add_user_prompt_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row" colspan="2">
                <h3><?php echo rsvp_pro_get_admin_string('settings_main_rsvp_header'); ?></h3>
            </th>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="welcome_text">
                    <?php echo rsvp_pro_get_admin_string('settings_custom_welcome_text_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="welcome_text" id="welcome_text" rows="5" cols="60"><?php 
                    echo htmlspecialchars($welcomeText);
                 ?></textarea>
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_custom_welcome_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_WELCOME_BACK_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_welcome_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_WELCOME_BACK_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_WELCOME_BACK_TEXT; ?>" value="<?php echo esc_attr_e($welcomeBackText); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_welcome_text_description'); ?></span>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="rsvp_question_text">
                    <?php echo rsvp_pro_get_admin_string('settings_rsvp_question_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="rsvp_question_text" id="rsvp_question_text" value="<?php echo htmlspecialchars($rsvpQuestionText); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_rsvp_question_description'); ?></span>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="rsvp_yes_label">
                    <?php echo rsvp_pro_get_admin_string('settings_rsvp_yes_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="rsvp_yes_label" id="rsvp_yes_label" value="<?php echo htmlspecialchars($rsvpYesLabel); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_rsvp_yes_text_description'); ?></span>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="rsvp_no_label">
                    <?php echo rsvp_pro_get_admin_string('settings_rsvp_no_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="rsvp_no_label" id="rsvp_no_label" value="<?php echo htmlspecialchars($rsvpNoLabel); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_rsvp_no_text_description'); ?></span>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_WAITLIST_VERBIAGE; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_rsvp_waitlist_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_WAITLIST_VERBIAGE; ?>" id="<?php echo RSVP_PRO_OPTION_WAITLIST_VERBIAGE; ?>" value="<?php echo esc_attr_e($rsvpWaitlistLabel); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_rsvp_waitlist_text_description'); ?></span>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_MAYBE_VERBIAGE; ?>">
                    <?php echo rsvp_pro_get_admin_string('settigns_rsvp_maybe_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_MAYBE_VERBIAGE; ?>" id="<?php echo RSVP_PRO_OPTION_MAYBE_VERBIAGE; ?>" value="<?php esc_attr_e($rsvp_maybe_label); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_rsvp_maybe_text_description'); ?></span>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_PLUS_ONE_LABEL; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_plus_one_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_PLUS_ONE_LABEL; ?>" id="<?php echo RSVP_PRO_OPTION_PLUS_ONE_LABEL; ?>" value="<?php esc_attr_e( $plus_one_label ); ?>" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_plus_one_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_SALUTATION_LABEL; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_salutation_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_SALUTATION_LABEL; ?>" id="<?php echo RSVP_PRO_OPTION_SALUTATION_LABEL; ?>" value="<?php echo esc_attr_e($salutationLabel); ?>" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_salutation_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_SUFFIX_LABEL; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_suffix_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_SUFFIX_LABEL; ?>" id="<?php echo RSVP_PRO_OPTION_SUFFIX_LABEL; ?>" value="<?php echo esc_attr_e($suffixLabel); ?>" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_suffix_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_EMAIL_LABEL; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_email_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_EMAIL_LABEL; ?>" id="<?php echo RSVP_PRO_OPTION_EMAIL_LABEL; ?>" value="<?php echo esc_attr_e($emailLabel); ?>" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_email_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_PASSCODE_EDITABLE_LABEL; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_passcode_edit_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_PASSCODE_EDITABLE_LABEL; ?>" id="<?php echo RSVP_PRO_OPTION_PASSCODE_EDITABLE_LABEL; ?>" value="<?php esc_attr_e( $passcode_editable_label ); ?>" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_passcode_edit_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_UNDER_RSVP_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string( 'settings_text_under_rsvp_label' ); ?>:
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_UNDER_RSVP_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_UNDER_RSVP_TEXT; ?>" rows="3" cols="60"><?php 
                    esc_attr_e( $text_under_rsvp );
                 ?></textarea>
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_text_under_rsvp_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="additional_note_label">
                    <?php echo rsvp_pro_get_admin_string('settings_note_question_text_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="additional_note_label" id="additional_note_label" rows="3" cols="60"><?php 
                    echo htmlspecialchars($additionalNoteLabel);
                 ?></textarea>
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_note_question_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_RSVP_BUTTON_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_rsvp_button_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_RSVP_BUTTON_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_RSVP_BUTTON_TEXT; ?>" value="<?php echo htmlspecialchars($rsvpFrontendButtonText); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_rsvp_button_description'); ?></span>
            </td>
        </tr>
		<tr class="subEventHide">
		    <th scope="row">
		        <label for="<?php echo RSVP_PRO_OPTION_NEXT_BUTTON_TEXT; ?>">
		            <?php echo rsvp_pro_get_admin_string('settings_next_button_label'); ?>
		        </label>
		    </th>
		    <td>
		        <input type="text" name="<?php echo RSVP_PRO_OPTION_NEXT_BUTTON_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_NEXT_BUTTON_TEXT; ?>" value="<?php echo esc_attr_e($nextButtonText); ?>" size="65" />
		        <br>
		        <span class="description"><?php echo rsvp_pro_get_admin_string('settings_next_button_description'); ?></span>
		    </td>
		</tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_ADD_ADDITIONAL_VERBIAGE; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_add_additional_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_ADD_ADDITIONAL_VERBIAGE; ?>" id="<?php echo RSVP_PRO_OPTION_ADD_ADDITIONAL_VERBIAGE; ?>" value="<?php echo stripslashes(esc_attr_e($addAdditionalText)); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_add_additional_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_ASSOCIATED_ATTENDEE_GREETING; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_associated_attendee_greeting_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_ASSOCIATED_ATTENDEE_GREETING; ?>" id="<?php echo RSVP_PRO_OPTION_ASSOCIATED_ATTENDEE_GREETING; ?>" value="<?php echo stripslashes(esc_attr_e($associatedGreeting)); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_associated_attendee_greeting_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_ADD_ATTENDEE_BUTTON_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_new_attendee_button_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_ADD_ATTENDEE_BUTTON_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_ADD_ATTENDEE_BUTTON_TEXT; ?>" value="<?php echo esc_attr_e($addAttendeeButtonText); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_new_attendee_button_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_REMOVE_ATTENDEE_BUTTON_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_remove_attendee_button_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_REMOVE_ATTENDEE_BUTTON_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_REMOVE_ATTENDEE_BUTTON_TEXT; ?>" value="<?php echo esc_attr_e($removeAttendeeButton); ?>" size="65" />
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_remove_attendee_button_text_description'); ?></span>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_MAX_COUNT_REACHED_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_message_event_capacity_text_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_MAX_COUNT_REACHED_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_MAX_COUNT_REACHED_TEXT; ?>" rows="5" cols="60"><?php 
                    echo esc_html($rsvpLimitText); ?></textarea>
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_message_event_capacity_text_description'); ?></span>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_WAITLIST_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_waitlist_text_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_WAITLIST_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_WAITLIST_TEXT; ?>" rows="5" cols="60"><?php echo esc_html($rsvpWaitlistText); ?></textarea>
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_waitlist_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_ASSOCIATED_MESSAGE; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_associated_rsvp_text_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_ASSOCIATED_MESSAGE; ?>" id="<?php echo RSVP_PRO_OPTION_ASSOCIATED_MESSAGE; ?>" rows="5" cols="60"><?php echo esc_html($associatedMessage); ?></textarea>
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_associated_rsvp_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_ADDITIONAL_GREETING_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_additional_attendee_greeting_text_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_ADDITIONAL_GREETING_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_ADDITIONAL_GREETING_TEXT; ?>" rows="5" cols="60"><?php 
                    echo esc_html($additionalAttendeeText); 
                ?></textarea>
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_additional_attendee_greeting_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_GDPR_QUESTION_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_gdpr_question_text_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_GDPR_QUESTION_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_GDPR_QUESTION_TEXT; ?>" rows="5" cols="60"><?php 
                    echo esc_html($gdpr_question_text); 
                ?></textarea>
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_gdpr_question_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row" colspan="2">
                <h3><?php echo rsvp_pro_get_admin_string('settings_javascript_validation_header'); ?></h3>
            </th>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_FIRST_NAME_JS_MESSAGE; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_first_name_required_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_FIRST_NAME_JS_MESSAGE; ?>" id="<?php echo RSVP_PRO_OPTION_FIRST_NAME_JS_MESSAGE;?>" value="<?php echo esc_attr_e($first_name_js_message); ?>" size="65" />
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_first_name_required_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_LAST_NAME_JS_MESSAGE; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_last_name_required_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_LAST_NAME_JS_MESSAGE; ?>" id="<?php echo RSVP_PRO_OPTION_LAST_NAME_JS_MESSAGE;?>" value="<?php echo esc_attr_e($last_name_js_message); ?>" size="65" />
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_last_name_required_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_NOTE_JS_MESSAGE; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_custom_note_required_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_NOTE_JS_MESSAGE; ?>" id="<?php echo RSVP_PRO_OPTION_NOTE_JS_MESSAGE;?>" value="<?php echo esc_attr_e($note_js_message); ?>" size="65" />
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_custom_note_required_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_EMAIL_JS_MESSAGE; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_email_required_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_EMAIL_JS_MESSAGE; ?>" id="<?php echo RSVP_PRO_OPTION_EMAIL_JS_MESSAGE;?>" value="<?php echo esc_attr_e($email_js_message); ?>" size="65" />
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_email_required_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_GDPR_JS_MESSAGE; ?>">
                    <?php echo rsvp_pro_get_admin_string( 'settings_gdpr_required_label' ); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_GDPR_JS_MESSAGE; ?>" id="<?php echo RSVP_PRO_OPTION_GDPR_JS_MESSAGE;?>" value="<?php echo esc_attr_e( $gdpr_js_message ); ?>" size="65" />
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string( 'settings_gdpr_required_description' ); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_UNIQUE_PASSCODE_JS_MESSAGE; ?>">
                    <?php echo rsvp_pro_get_admin_string( 'settings_unique_passcode_js_label' ); ?>:
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_UNIQUE_PASSCODE_JS_MESSAGE; ?>" id="<?php echo RSVP_PRO_OPTION_UNIQUE_PASSCODE_JS_MESSAGE;?>" value="<?php echo esc_attr_e( $unique_passcode_js_message ); ?>" size="65" />
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string( 'settings_unique_passcode_js_description' ); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_UNIQUE_EMAIL_JS_MESSAGE; ?>">
                    <?php echo rsvp_pro_get_admin_string( 'settings_unique_email_js_label' ); ?>:
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_UNIQUE_EMAIL_JS_MESSAGE; ?>" id="<?php echo RSVP_PRO_OPTION_UNIQUE_EMAIL_JS_MESSAGE;?>" value="<?php echo esc_attr_e( $unique_email_js_message ); ?>" size="65" />
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string( 'settings_unique_email_js_description' ); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row" colspan="2">
                <h3><?php echo rsvp_pro_get_admin_string('settings_one_step_event_header'); ?></h3>
            </th>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_MULTI_EVENT_TITLE; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_event_title_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_MULTI_EVENT_TITLE; ?>" id="<?php echo RSVP_PRO_OPTION_MULTI_EVENT_TITLE;?>" value="<?php echo esc_attr_e($multiEventTitle); ?>" />
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_event_title_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_MULTI_OPTION_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_option_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_MULTI_OPTION_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_MULTI_OPTION_TEXT;?>" value="<?php echo esc_attr_e($multiOptionText); ?>" />
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row" colspan="2">
                <h3><?php echo rsvp_pro_get_admin_string('settings_confirmation_page_header'); ?></h3>
            </th>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_THANKYOU_MODIFY_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_modify_instructions_text_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_THANKYOU_MODIFY_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_THANKYOU_MODIFY_TEXT; ?>" rows="5" cols="60"><?php 
                    esc_attr_e($thankyou_modify_text); 
                ?></textarea>
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_modify_instructions_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_THANKYOU_PASSWORD_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_password_new_attendees_text_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_THANKYOU_PASSWORD_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_THANKYOU_PASSWORD_TEXT; ?>" rows="5" cols="60"><?php 
                    esc_attr_e($thankyou_password_text);
                 ?></textarea>
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_password_new_attendees_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_THANKYOU_ASSOCIATED_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_associated_text_new_attendees_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_THANKYOU_ASSOCIATED_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_THANKYOU_ASSOCIATED_TEXT; ?>" rows="5" cols="60"><?php 
                esc_attr_e($thankyou_associated_text); 
                ?></textarea>
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_associated_text_new_attendees_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row" colspan="2">
                <h3><?php echo rsvp_pro_get_admin_string('settings_confirmation_page_header'); ?></h3>
            </th>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="thank_you_text">
                    <?php echo rsvp_pro_get_admin_string('settings_custom_thankyou_text_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="thank_you_text" id="thank_you_text" rows="5" cols="60"><?php 
                    echo esc_html($thankYouText);
                 ?></textarea>
                <br>
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_custom_thankyou_text_description'); ?></span>
            </td>
        </tr>
        <tr class="subEventHide">
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_NOT_COMING; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_thank_you_when_no_label'); ?>
                </label>
            </th>
            <td>
                <textarea name="<?php echo RSVP_PRO_OPTION_NOT_COMING; ?>" id="<?php echo RSVP_PRO_OPTION_NOT_COMING; ?>" rows="5" cols="60"><?php 
                    echo esc_html($notComingVerbiage); 
                ?></textarea>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_CALENDAR_LINK_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_calendar_link_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_CALENDAR_LINK_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_CALENDAR_LINK_TEXT; ?>" value="<?php echo esc_attr_e($calendarLinkText); ?>" />
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_calendar_link_text_description'); ?></span>
            </td>
        </tr>
        <tr>
            <th scope="row">
                <label for="<?php echo RSVP_PRO_OPTION_GOOGLE_CALENDAR_LINK_TEXT; ?>">
                    <?php echo rsvp_pro_get_admin_string('settings_google_calendar_link_text_label'); ?>
                </label>
            </th>
            <td>
                <input type="text" name="<?php echo RSVP_PRO_OPTION_GOOGLE_CALENDAR_LINK_TEXT; ?>" id="<?php echo RSVP_PRO_OPTION_GOOGLE_CALENDAR_LINK_TEXT; ?>" value="<?php esc_attr_e($google_calendar_link_text); ?>" />
                <br />
                <span class="description"><?php echo rsvp_pro_get_admin_string('settings_google_calendar_link_text_description'); ?></span>
            </td>
        </tr>
    </tbody>
</table>